phpMyAdmin sérülékenységek

CH azonosító

CH-13275

Angol cím

phpMyAdmin vulnerabilities

Felfedezés dátuma

2016.05.24.

Súlyosság

Közepes

Érintett rendszerek

phpMyAdmin
phpMyAdmin Project

Érintett verziók

phpMyAdmin 4.x

Összefoglaló

A phpMyAdmin közepes besorolású sérülékenységei váltak ismertté, melyet kihasználva a támadó bizalmas információkhoz juthat, vagy XSS támadást hajthat végre. A sérülékenységet kiküszöbölő megoldás már beszerezhető a gyártótól.

Leírás

Az XSS sérülékenységet a bemeneti partaméterek nem megfelelő szintű ellenőrzése és szűrése okozza.

Egy másik biztonsági rést az URL-kezelés tartalmazza az url.php esetében.

Egy harmadik sebezhetőség pedig fájlinformációk jogosulatlan lekérdezését teheti lehetővé HTTP POST kérések manipulálásával.

Megoldás

Frissítsen a legújabb verzióra

Megoldás

Frissítsen a A 4.6.2-es verzióra.